import { EventEmitter } from 'events';
export function beginEventEmitter(o) {
    const ee = new EventEmitter();
    o.on = (eventName, cb) => {
        ee.on(eventName, cb);
        return o;
    };
    o.once = (eventName, cb) => {
        ee.on(eventName, cb);
        return o;
    };
    o.emit = ee.emit.bind(ee);
    return ee;
}
